DVDISASTER(1)

NAME
DVDISASTER - Schutz für CD/DVD Medien gegen Datenverlust durch Alterung oder Kratzer

SYNTAX
dvdisaster [-r|-c|-f|-s|-t|-u] [-d device] [-p prefix] [-i image] [-e eccfile] [--list] [-j n] [-n n%] [-m n] [-v] [--adaptive-read] [--auto-suffix] [--cache-size n] [--dao] [--eject] [--fill-unreadable n] [--ignore-fatal-sense] [--internal-rereads n] [--query-size n] [--raw-mode n] [--read-attempts n-m] [--read-medium n] [--read-raw] [--speed-warning n] [--spinup-dalay n] [--split-files]

BESCHREIBUNG
DVDISASTER erzeugt einen Sicherheitspuffer gegen Datenverluste, die auf CD- und DVD-Datenträgern durch Alterung oder Kratzer entstehen. Es erzeugt Fehlerkorrekturdaten, um bei nachfolgenden Datenträger-Problemen unlesbare Sektoren zu rekonstruieren.

TYPISCHE ANWENDUNGEN

dvdisaster -d /dev/hdc -s
    Überprüft den Datenträger in Laufwerk /dev/hdc auf Fehler.

dvdisaster -d /dev/hdc -i abbild.iso -r
    Erstellt ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso.

dvdisaster -d /dev/hdc -i medium.iso --read-raw -r
    Erstellt ein Abbild wie oben beschrieben. Die Sektoren werden anhand ihrer EDC- und L-EC-Rohdaten auf Unversehrtheit überprüft. Dies ist nur für CD-Datenträger möglich; anderenfalls hat die --read-raw-Option keine Wirkung.

dvdisaster -d /dev/hdc -i medium.iso --read-attempts n-m -r
    Erstellt ein Abbild wie oben beschrieben. Für beschädigte Sektoren werden mindestens n und höchstens m Leseversuche unternommen. Die Lesbarkeit von beschädigten CD-Datenträgern kann in Verbindung mit --read-raw besser werden.

dvdisaster -d /dev/hdc -i abbild.iso -e korr.ecc -r --adaptive-read
    Verwendet die angepasste Lesestrategie, um ein Abbild vom Datenträger in Laufwerk /dev/hdc als Datei abbild.iso zu erstellen. Der Lesevorgang wird automatisch beendet sobald genügend Daten eingelesen wurden, um das Abbild mit Hilfe der Fehlerkorrektur-Datei korr.ecc wiederherzustellen:

dvdisaster -i abbild.iso -e korr.ecc -c
    Erzeugt eine Fehlerkorrektur-Datei korr.ecc für das Abbild abbild.iso.

dvdisaster -i abbild.iso -mRS02 -n 350000 -c
    Erweitert ein Abbild abbild.iso mit Fehlerkorrektur-Daten, wobei das Abbild auf nicht mehr als 350000 Sektoren vergrössert wird. Ohne Angabe von -n wird das Abbild auf die Grösse des kleinstmöglichen Datenträgers (CD, DVD, DVD9) erweitert. Beachten Sie das fehlende Leerzeichen zwischen -m und RS02.

dvdisaster -i abbild.iso -e korr.ecc -f
    Wiederherstellung der Abbild-Datei abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc.

dvdisaster -i abbild.iso -e korr.ecc -t
    Überprüft den Inhalt des Abbilds abbild.iso mit Hilfe der Fehlerkorrektur-Datei korr.ecc auf Vollständigkeit und Korrektheit.

HINWEIS:
    Geben Sie in den obigen Beispielen die -e korr.ecc-Optionen nicht an, wenn Sie mit erweiterten Abbildern arbeiten.

OPTIONEN
Aktions-Auswahl (mindestens eine Aktion muss gewählt werden):

-r, --read
    Datenträger-Abbild auf Festplatte einlesen. -rn-m liest einen Bereich von Sektoren, z.B. -r100-200.

-c, --create
    Erzeugt Fehlerkorrektur-Daten für das Abbild.

-f, --fix
    Versucht das Abbild mit Hilfe der Fehlerkorrektur-Daten zu reparieren.

-s, --scan
    Untersucht den Datenträger auf Lesefehler.

-t, --test
    Prüft die Struktur der .iso und .ecc - Dateien.

-u, --unlink
    Löscht .iso - Dateien nach Beenden der vorherigen Aktionen.

Laufwerks- und Dateinamen:

-d, --device device
    Von diesem Laufwerk lesen (Standard: /dev/cdrom).

-p, --prefix prefix
    Anfang der .iso/.ecc - Dateien (Standard: medium.* ).

-i, --image imagefile
    Name der Abbild - Datei (Standard: medium.iso).

-e, --ecc eccfile
    Name der Fehlerkorrektur-Datei (Standard: medium.ecc).

--list Zeigt verfügbare Laufwerke unter dem ASPI-Treiber (nur für Windows).

Feineinstellung (Beachten Sie die Hinweise in der Dokumentation!):

-j, --jump n
    überspringe n Sektoren nach einem Lesefehler (Standard: 16).

-n, --redundancy n%
    Redundanz der Fehlerkorrektur (Standard: 14.3%).

-m, --method n
    Fehlerkorrektur-Methoden anzeigen/auswählen (Standard: RS01).
    Mögliche Werte sind RS01 und RS02.

-v, --verbose n%
    mehr erläuternde Ausgaben

--adaptive-read
    verwende optimierte Lesestrategie für defekte Datenträger.

--auto-suffix
    automatisches Anfügen der .iso- und .ecc-Dateiendungen.

--cache-size n
    Zwischenspeicher in MB bei .ecc-Datei-Erzeugung - (Standard: 32MB).

--dao
    unterstelle DAO; Abbild am Ende nicht kürzen.

--eject
    Datenträger nach erfolgreichem Lesen auswerfen.

--fill-unreadable n
    fülle unlesbare Sektoren mit Byte n.

--ignore-fatal-sense
    Lesen nach möglicherweise schwerwiegenden Fehlern fortsetzen.

--internal-rereads n
    Leseversuche innerhalb des Laufwerks für beschädigte CD-Sektoren (Standard: -1)
    Laufwerke unternehmen normalerweise mehrere Versuche um einen beschädigten Sektor zu lesen. Es ist typischerweise günstiger diesen Wert auf 0 oder 1 zu setzen und die Anzahl der Leseversuche über den Parameter --read-attempts zu steuern. Viele Laufwerke ignorieren diese Einstellung ohnehin. Benutzen Sie den Wert -1 um die Standardeinstellungen des Laufwerks zu verwenden.

--query-size n
    Ermittelt die Abbildgrösse durch das Laufwerk oder das Dateisystem auf dem Datenträger (Standard: ecc)
    Mögliche Werte: drive udf ecc

--raw-mode n
    "Raw"-Lese-Verfahren für beschädigte CD-Sektoren (default: 20)
    Das empfohlene Verfahren ist 20, bei dem das Laufwerk die eingebaute Fehlerkorrektur so weit wie möglich anwendet, bevor es einen beschädigten Sektor zurückgibt. Einige Laufwerke können beschädigte Sektoren allerdings nur in der Betriebsart 21 lesen. Dabei wird die letzte Stufe der eingebauten Fehlerkorrektur nicht ausgeführt und der Sektor wird unkorrigiert zurückgegeben.

--read-attempts n-m
    versucht einen beschädigten Sektor n bis m-mal zu lesen.

--read-medium n
    liest den gesamten Datenträger bis zu n-mal.

--read-raw
    liest in der "raw"-Betriebsart sofern möglich.

--speed-warning n
    warnt bei Geschwindigkeitsänderung um mehr als n Prozent.

--spinup-delay n
    gibt dem Laufwerk n Sekunden Zeit zum Hochlaufen.

--split-files
    Abbild in mehrere Dateien <= 2GB aufteilen.

SIEHE AUCH
Dokumentation DVDISASTER ist in seinem eigenen Handbuch dokumentiert, welches in /usr/doc/dvdisaster-0.72.1/de installiert ist.

AUTHOR
DVDISASTER wurde von Carsten Gnoerlich <carsten@dvdisaster.com> geschrieben.

Diese Hilfeseite wurde von Daniel Baumann <daniel.baumann@panthera-systems.net> für das Debian Projekt geschrieben (kann aber auch von Anderen verwendet werden). Sie wurde für Version 0.70/0.72 von Carsten Gnörlich erweitert.